import React from "react";
// import {CookieNotice} from "gatsby-cookie-notice";
import CookieConsent, { Cookies } from "react-cookie-consent";

interface Icookies {
    location?: string,
    buttonText?: string,
    declineButtonText: String,
    cookieName?: string,
    expires?: number,
    styles: {},
    buttonStyles: {},
    declineButtonStyle: {}
}

const CookiesComponent = (props: Icookies) => {
  const {
    location="bottom",
    buttonText="Accept",
    declineButtonText="Decline", 
    buttonStyles, 
    cookieName="gatsby-gdpr-google-analytics", 
    expires=365, 
    styles,
    declineButtonStyle
  } = props;
  return (
    <CookieConsent
      location={location}
      buttonText={buttonText}
      declineButtonText={declineButtonText}
      cookieName={cookieName}
      style={styles}
      buttonStyle={buttonStyles}
      declineButtonStyle={declineButtonStyle}
      expires={expires}
      enableDeclineButton
      onDecline={() => {
        alert("remove cookie here!");
        Cookies.remove("tagManagerCookieName")
      }}
    >
      Nous nous soucions de vos données personnelles et utilisons des cookies afin d’améliorer votre expérience.
    </CookieConsent>
  );
};

export default CookiesComponent;
